cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/portal/change_password" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"portal": {
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password"
}
}'from exsited import build_client
client = build_client()
response = client.portals.create_portal_change_password(
{
"portal": {
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.portals.createPortalChangePassword({
portal: {email: 'jane@example.com', current_password: 'current-password', new_password: 'new-password'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->portals->createPortalChangePassword([
'portal' => [
'email' => 'jane@example.com',
'current_password' => 'current-password',
'new_password' => 'new-password',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.portals.portals_dto.PortalsDto.PortalChangePassword;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PortalChangePassword> response = client.portals().createPortalChangePassword(
Map.of(
"portal", Map.of(
"email", "jane@example.com",
"current_password", "current-password",
"new_password", "new-password")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Portals.CreatePortalChangePasswordAsync(new Dictionary<string, object?>
{
["portal"] = new Dictionary<string, object?>
{
["email"] = "jane@example.com",
["current_password"] = "current-password",
["new_password"] = "new-password",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.portals.createPortalChangePassword({
'portal': {
'email': 'jane@example.com',
'current_password': 'current-password',
'new_password': 'new-password',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Portals().CreatePortalChangePassword(context.Background(), map[string]any{
"portal": map[string]any{
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"portal": {
"message": "<string>"
}
}Portal
Change a portal password
Changes a portal user’s password when you send the current one, and returns a message.
POST
/
portal
/
change_password
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/portal/change_password" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"portal": {
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password"
}
}'from exsited import build_client
client = build_client()
response = client.portals.create_portal_change_password(
{
"portal": {
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.portals.createPortalChangePassword({
portal: {email: 'jane@example.com', current_password: 'current-password', new_password: 'new-password'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->portals->createPortalChangePassword([
'portal' => [
'email' => 'jane@example.com',
'current_password' => 'current-password',
'new_password' => 'new-password',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.portals.portals_dto.PortalsDto.PortalChangePassword;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PortalChangePassword> response = client.portals().createPortalChangePassword(
Map.of(
"portal", Map.of(
"email", "jane@example.com",
"current_password", "current-password",
"new_password", "new-password")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Portals.CreatePortalChangePasswordAsync(new Dictionary<string, object?>
{
["portal"] = new Dictionary<string, object?>
{
["email"] = "jane@example.com",
["current_password"] = "current-password",
["new_password"] = "new-password",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.portals.createPortalChangePassword({
'portal': {
'email': 'jane@example.com',
'current_password': 'current-password',
'new_password': 'new-password',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Portals().CreatePortalChangePassword(context.Background(), map[string]any{
"portal": map[string]any{
"email": "jane@example.com",
"current_password": "current-password",
"new_password": "new-password",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"portal": {
"message": "<string>"
}
}Send the portal user’s
email, their current_password and the new_password under portal. After the change, a login with the old password returns 400. The response holds a message under portal.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The password is changed; a message under portal.
Show child attributes
Show child attributes